πŸš€ Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Account

Get Current Account

Get Fansly Profile details for the currently used Account.


Get fansly Profile details for the currently used Account.

https://v1.apifansly.com
GET
/api/fansly/{account_id}/me

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

Path Parameters

accountId*
string
The ID of the connected Fansly account.

Authentication

curl -X GET "https://v1.apifansly.com/api/fansly/fansly_acc_123/me" \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/fansly_acc_123/me", {
  method: "GET",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
import requests

url = "https://v1.apifansly.com/api/fansly/fansly_acc_123/me"
headers = {"x-api-key": "YOUR_API_KEY"}

response = requests.get(url, headers=headers)
print(response.json())

Response

{
  "statusCode": 200,
  "message": "Success",
  "data": {
    "status_code": 200,
    "data": {
      "success": true,
      "response": {
        "account": {
          "id": "86540xxxxxxxxxxxxxx",
          "email": "***********y@g****.com",
          "username": "creator_handle",
          "displayName": null,
          "flags": 18,
          "version": 3,
          "createdAt": 1767823687000,
          "followCount": 4,
          "about": "Hi I'm Nancy...",
          "timelineStats": {
            "imageCount": 53,
            "videoCount": 1,
            "bundleCount": 1
          },
          "subscriptionTiers": [
            {
              "id": "87011xxxxxxxxxxxxxx",
              "name": "Subscription",
              "price": 5000,
              "plans": [
                {
                  "billingCycle": 30,
                  "price": 5000
                }
              ]
            }
          ],
          "walls": [
            {
              "id": "86819xxxxxxxxxxxxxx",
              "name": "Posts",
              "defaultWall": true
            }
          ],
          "avatar": {
            "id": "86540xxxxxxxxxxxxxx",
            "mimetype": "image/jpeg",
            "location": "/86540.../86540....jpeg"
          }
        }
      }
    }
  },
  "timestamp": "2026-02-04T17:50:53.954Z"
}

Response Body

FieldTypeDescription
statusCodenumberThe HTTP status code (200)
messagestringResult message
dataobjectMain response container
β”œβ”€ status_codenumberInternal Fansly status code
└─ dataobjectNested data container
└─ responseobjectData payload
└─ accountobjectDetailed account information
β”œβ”€ idstringUnique identifier for the account
β”œβ”€ emailstringMasked email address
β”œβ”€ usernamestringThe account handle
β”œβ”€ aboutstringProfile bio/description
β”œβ”€ followCountnumberTotal followers
β”œβ”€ subscriptionTiersarrayList of available subscription tiers
β”œβ”€ wallsarrayContent walls/feeds configured for the account
β”œβ”€ timelineStatsobjectMedia counts (images, videos, bundles)
└─ avatarobjectProfile picture metadata
timestampstringISO 8601 response timestamp

On this page